Version:	0.5.4
Name:		qxplayer
Release:	alt1
Summary:	Simple qt4-based music player
License: 	GPL
Group: 		Sound
Url:		http://qxplayer.org
Source0:	http://qxplayer.org/files/%name-%version.tar.gz
Source1:	qxplayer_Ukrainian.ts
Source2:	%name.desktop

# Automatically added by buildreq on Wed Mar 25 2009 (-bi)
BuildRequires: ImageMagick gcc-c++ libqt4-devel libtag-devel libxine-devel

%description
Simple qt4-based music player 
Uses:
Qt4, Xine-lib, TagLib

%prep
%setup -q
rm -rf tr/qxplayer_Ukrainian.ts
%__install %SOURCE1 tr/qxplayer_Ukrainian.ts

%build
qmake-qt4 "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags" %name.pro
%make_build

%install
%__install -Dp -m0755 bin/%name %buildroot%_bindir/%name
%__install -Dp -m0644 %SOURCE2 %buildroot%_desktopdir/%name.desktop

# Icons
%__mkdir -p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
convert -resize 48x48 images/juk.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 images/juk.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 images/juk.png %buildroot%_miconsdir/%name.png

%files
%_bindir/*
%_desktopdir/*
%_niconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Wed Mar 25 2009 Motsyo Gennadi <drool@altlinux.ru> 0.5.4-alt1
- build for example for forum ;)
